PDA

View Full Version : BCM4313 Wireless Help!



cromarko
26-May-2014, 21:41
Hello everyone,

I have a fresh installation of Suse Enterprise Linux Enterprise 11 SP3. I don't have wireless working. I have searched through the forum but I couldn't find anything useful. It would be helpful if someone could provide me with a guide.

By the way this command gave me this:

/sbin/lspci -nnk |grep Net -A2

03:00.0 Network controller [0280]: Broadcom Corporation BCM4313 802.11b/g/n Wireless LAN Controller [14e4:4727] (rev 01)
Subsystem: Broadcom Corporation Device [14e4:051a]
Kernel driver in use: bcma-pci-bridge

Also the output of this command is this:

cat /etc/SuSE-release

SUSE Linux Enterprise Desktop 11 (x86_64)
VERSION = 11
PATCHLEVEL = 3

Thanks,

malcolmlewis
27-May-2014, 03:50
Hi
You need to grab the broadcom-wl src rpm from the packman repository and rebuild locally, then install the broadcom-wl and broadcom-wl-kmp-default packages and reboot the system.

http://packman.links2linux.org/downloadsource/512468/broadcom-wl-6.30.223.141-2.31.src.rpm

cromarko
27-May-2014, 07:18
"You need to grab the broadcom-wl src rpm from the packman repository and rebuild locally,"


http://packman.links2linux.org/downloadsource/512468/broadcom-wl-6.30.223.141-2.31.src.rpm

How do I install the repository?

malcolmlewis
27-May-2014, 12:08
On Tue 27 May 2014 06:24:02 AM CDT, cromarko wrote:


malcolmlewis;21567 Wrote:
>
> "You need to grab the broadcom-wl src rpm from the packman repository
> and rebuild locally,"


Code:
--------------------
http://packman.links2linux.org/downloadsource/512468/broadcom-wl-6.30.223.141-2.31.src.rpm
--------------------


How do I install the repository?




Hi
You just need to download that file to rebuild (as your user) via;


rpmbuild --rebuild broadcom-wl-6.30.223.141-2.31.src.rpm

You will need to have installed, kernel-source, kernel-syms, make and
gcc installed as well.

It will then create the two rpm you need, which you can manually
install via the zypper command.

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-11-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

cromarko
27-May-2014, 14:02
Hi
You just need to download that file to rebuild (as your user) via;


rpmbuild --rebuild broadcom-wl-6.30.223.141-2.31.src.rpm

You will need to have installed, kernel-source, kernel-syms, make and
gcc installed as well.

It will then create the two rpm you need, which you can manually
install via the zypper command.

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-11-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

I did install kernel-source; kernel-syms; make and gcc.

When I enter the command it gives me this:


rpmbuild --rebuild broadcom-wl-6.30.223.141-2.31.src.rpm


Installing broadcom-wl-6.30.223.141-2.31.src.rpm
warning: InstallSourcePackage: Header V4 RSA/SHA1 signature: NOKEY, key ID 1abd1afb
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.72528
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd /usr/src/packages/BUILD
+ rm -rf broadcom-wl-6.30.223.141
+ /bin/mkdir -p broadcom-wl-6.30.223.141
+ cd broadcom-wl-6.30.223.141
+ tar -xf -
+ /usr/bin/gzip -dc /usr/src/packages/SOURCES/hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0 (hybrid-v35-nodebug-pcoem-6_30_223_141-disable_timestamps.patch):'
Patch #0 (hybrid-v35-nodebug-pcoem-6_30_223_141-disable_timestamps.patch):
+ patch -p0 --fuzz=0 -s
/var/tmp/rpm-tmp.72528: line 35: patch: command not found
error: Bad exit status from /var/tmp/rpm-tmp.72528 (%prep)


RPM build errors:
InstallSourcePackage: Header V4 RSA/SHA1 signature: NOKEY, key ID 1abd1afb
Bad exit status from /var/tmp/rpm-tmp.72528 (%prep)

malcolmlewis
27-May-2014, 15:03
On Tue 27 May 2014 01:04:02 PM CDT, cromarko wrote:


malcolmlewis;21577 Wrote:
> Hi
> You just need to download that file to rebuild (as your user) via;
> >
Code:
--------------------
> >
> rpmbuild --rebuild broadcom-wl-6.30.223.141-2.31.src.rpm
>
--------------------
> >
> You will need to have installed, kernel-source, kernel-syms, make and
> gcc installed as well.
>
> It will then create the two rpm you need, which you can manually
> install via the zypper command.
>
> --
> Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
> openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel
> 3.11.10-11-desktop
> If you find this post helpful and are logged into the web interface,
> please show your appreciation and click on the star below... Thanks!

I did install kernel-source; kernel-syms; make and gcc.

When I enter the command it gives me this:


Code:
--------------------
rpmbuild --rebuild broadcom-wl-6.30.223.141-2.31.src.rpm
--------------------



Code:
--------------------
Installing broadcom-wl-6.30.223.141-2.31.src.rpm
warning: InstallSourcePackage: Header V4 RSA/SHA1 signature: NOKEY,
key ID 1abd1afb Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.72528
+ umask 022
+ cd /usr/src/packages/BUILD
+ cd /usr/src/packages/BUILD
+ rm -rf broadcom-wl-6.30.223.141
+ /bin/mkdir -p broadcom-wl-6.30.223.141
+ cd broadcom-wl-6.30.223.141
+ tar -xf -
+ /usr/bin/gzip
-dc /usr/src/packages/SOURCES/hybrid-v35_64-nodebug-pcoem-6_30_223_141.tar.gz
+ STATUS=0
+ '[' 0 -ne 0 ']'
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chown -Rhf root .
++ /usr/bin/id -u
+ '[' 0 = 0 ']'
+ /bin/chgrp -Rhf root .
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ echo 'Patch #0
(hybrid-v35-nodebug-pcoem-6_30_223_141-disable_timestamps.patch):'
Patch #0
(hybrid-v35-nodebug-pcoem-6_30_223_141-disable_timestamps.patch):
+ patch -p0 --fuzz=0 -s
/var/tmp/rpm-tmp.72528: line 35: patch: command not found
error: Bad exit status from /var/tmp/rpm-tmp.72528 (%prep)


RPM build errors:
InstallSourcePackage: Header V4 RSA/SHA1 signature: NOKEY, key ID
1abd1afb Bad exit status from /var/tmp/rpm-tmp.72528 (%prep)
--------------------




Hi
You need to install the package called 'patch' then try again ;)

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-11-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

cromarko
27-May-2014, 15:49
In
/usr/src/packages/RPMS/x86_64 there seems to be 4 .rpm files


broadcom-wl-6.30.223.141-2.31.x86_64.rpm
broadcom-wl-kmp-default-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm
broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm
broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm

However I did install


broadcom-wl-6.30.223.141-2.31.x86_64.rpm
broadcom-wl-kmp-default-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm

My WiFi seems to be working after installing these.

When I try to install


broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm
broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm


broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm gives

error: Failed dependencies:
kernel(trace:kernel_sched) = 6da6b204c994018a is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_core_skbuff) = c9031779d574fd22 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_ethernet_eth) = ad3fb9ccf0092957 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_panic) = 7737fe7a37eaa833 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_core_netpoll) = 33bc9250a06cc08c is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:arch_x86_kernel_x8664_ksyms_64) = 20a930ecfce90836 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:drivers_base_dd) = bee280c22693be65 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:vmlinux) = 2fc935e89bfce425 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_printk) = 956f098538472045 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_wireless_cfg80211) = de67f7e218c66601 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:fs_proc_proc) = 65f667521c6c30f3 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:mm_slab) = 41ec84771cffa132 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_core_dev) = d959af0f6e90689d is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_kthread) = 3932547a2f70371a is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_params) = 7af15e23aeb0c96a is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:arch_x86_mm_ioremap) = b24fb469fed14c09 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:arch_x86_kernel_cpu_common) = dc6dff990234cb25 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:lib_bitmap) = 1bd5f25878fbbd41 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:drivers_pci_pci) = 15e291e945f1783a is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_semaphore) = e67b5d5c13294a56 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_spinlock) = 54d2f29207dc84d4 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_signal) = 745fb5390d6f5ebf is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_core_rtnetlink) = aa97d38b0f585a47 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:fs_read_write) = 669cc2fbf809fd2b is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:fs_open) = ad4ad138fc14f31f is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:drivers_pci_access) = f36a6c375f5b1db0 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:arch_x86_kernel_paravirt) = 87ea46742e499c9a is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_module) = c8f710e78858286c is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_time_jiffies) = 0a1119a9d9ca3d67 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_softirq) = 633e95f08c7ed234 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:arch_x86_kernel_pci-dma) = 7d37cbfad8dd4370 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:mm_util) = bc5b0c22fc04180f is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_wireless_lib80211) = 9daf14751b29c7c7 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_timer) = 423e9e985483e429 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:fs_exec) = fab3f07f706ac906 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_cpu) = aa72f1964aa3a83a is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_capability) = 88c59d5aa93810bd is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:drivers_pci_pci-driver) = 83d778ed331d40b3 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_trace_trace_irqsoff) = a03e17eae6467036 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_irq_manage) = a8ec5a0690d47443 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_exit) = 150e9a9486996490 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:arch_x86_mm_physaddr) = 8a91ed3165f0c415 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_kmod) = 69d4fa76a357530b is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:net_core_utils) = c2052ddc4513be98 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(trace:kernel_workqueue) = f35357e3291be5e4 is needed by broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64


broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm gives

error: Failed dependencies:
kernel(xen:kernel_sched) = c3c1626a3922978b is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_wireless_cfg80211) = af9f355c37ab66b1 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:mm_slab) = 845e11a139410068 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_panic) = 836b6bbe1d0c6009 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_core_netpoll) = 38434b21fac1f7de is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_ethernet_eth) = ee371145076f659a is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:arch_x86_kernel_x8664_ksyms_64) = 2af1e5a3b31ce371 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:vmlinux) = 687ece5d7bcb951c is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_printk) = ffb67349e5b5f8ab is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_core_skbuff) = 2a5de3093d96c998 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_kthread) = 7efa06f0aebc6908 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_spinlock) = 325eda3ccd7facf4 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:drivers_pci_pci-driver) = d279ec8a318158f4 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_signal) = 34bc61cbf607b1e9 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:fs_read_write) = 7fd070ee4f43c9b6 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_params) = 7af15e23aeb0c96a is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:mm_memory) = 60e21495285a3f27 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:mm_memory) = dfeb7afce240434c is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:arch_x86_mm_ioremap) = cf52a14ce10443fe is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:drivers_pci_pci) = 0426b2d136a167b6 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_core_dev) = 1adf5320f9eeb477 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:arch_x86_kernel_cpu_common) = de38e48be9a20544 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:lib_bitmap) = 1bd5f25878fbbd41 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:fs_proc_proc) = a74e20703e983458 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:fs_open) = 2f450fefbb41083a is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_semaphore) = f52d7318db94989e is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_core_rtnetlink) = a7f20a458f528e58 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_time_jiffies) = 0a1119a9d9ca3d67 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_softirq) = c2d8a5a441aaac60 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:mm_util) = 45eea0de24a07cdb is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:arch_x86_kernel_pci-dma) = 71fb0ab234667e11 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:drivers_base_dd) = 96d778a66f50776d is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_module) = 4c850de128c8fe13 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:drivers_xen_core_evtchn) = d92486a49358d9d9 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:drivers_xen_core_spinlock) = 334be32a5702c429 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_timer) = 423e9e985483e429 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_cpu) = aa72f1964aa3a83a is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_capability) = c0e5546275ebf12d is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_wireless_lib80211) = 994eb4d7ea531d6e is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_irq_manage) = 9c4ba7bfc80db2aa is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_exit) = bf148c822b394ad1 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:arch_x86_mm_hypervisor) = 3192ba292ce17dc2 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:fs_exec) = 56c1eae3dc98a8ee is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:drivers_pci_access) = a2b2ea4d97aaa67a is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:arch_x86_mm_physaddr) = 8a91ed3165f0c415 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_kmod) = 205b98cc662a5628 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:net_core_utils) = ff9e5fe11d4876bf is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64
kernel(xen:kernel_workqueue) = f35357e3291be5e4 is needed by broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64

it gives me long lines of codes.

My questions are:
1) Are they necessary? ("broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm" and "broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm")
2) Will the built .rpm files work on other versions of Suse or do I have to rebuild them everytime?
3) Will these .rpm files work on other Linux Operating Systems rather than Suse?

malcolmlewis
27-May-2014, 16:15
On Tue 27 May 2014 02:54:01 PM CDT, cromarko wrote:
My questions are:
1) Are they necessary?
("broadcom-wl-kmp-trace-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm" and
"broadcom-wl-kmp-xen-6.30.223.141_3.0.76_0.11-2.31.x86_64.rpm")
2) Will the built .rpm files work on other versions of Suse or do I have
to rebuild them everytime?
3) Will these .rpm files work on other Linux Operating Systems rather
than Suse?

Hi
For question 1) no you only need the broadcom-wl (this contains some
scripts and a blacklist file for the bcma kernel module) and the kmp
(in your case 'default') which matches your running kernel (use the
uname -a command).

For question 2) the kmp rpm needs to match the running kernel from the
output from uname -a eg '3.0.76_0.11' in your case, in saying that when
you upgrade the kernel via SUSE updates, it will keep working as the
kernel module now gets placed into what is called 'weak' updates. You
can then at you leisure rebuild the broadcom-wl src rpm and install to
update. So yes, you do need to rebuild the src rpm and re-install both
packages after a kernel update.

For question 3), probably not without adjusting the rpm spec file for
the distribution your going to use it with if it's not SUSE or
openSUSE, but AFAIK, the rpm and kmp style is SUSE/openSUSE specific.

--
Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
openSUSE 13.1 (Bottle) (x86_64) GNOME 3.10.1 Kernel 3.11.10-11-desktop
If you find this post helpful and are logged into the web interface,
please show your appreciation and click on the star below... Thanks!

cromarko
27-May-2014, 16:52
Thanks :D :D :D